aboutsummaryrefslogtreecommitdiffstats
path: root/unstable/trac/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'unstable/trac/APKBUILD')
-rw-r--r--unstable/trac/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/unstable/trac/APKBUILD b/unstable/trac/APKBUILD
new file mode 100644
index 0000000000..8292ef9e12
--- /dev/null
+++ b/unstable/trac/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=trac
+_altname=Trac
+pkgver=0.11.5
+pkgrel=0
+pkgdesc="Trac is a minimalistic web-based project management, wiki and bug/issue tracking system."
+url="http://trac.edgewall.com/"
+license="GPL"
+depends="python"
+makedepends="postgresql-dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.edgewall.com/pub/$pkgname/$_altname-$pkgver.tar.gz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+ cd "$srcdir"/$_altname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="c8042490096a49478580fd599ad26322 Trac-0.11.5.tar.gz"